import request from '@/utils/request'

// 查询房屋信息列表
export function listHouseInfo(query) {
  return request({
    url: '/wuYe/houseInfo/list',
    method: 'get',
    params: query
  })
}
// 查询房屋信息列表
export function listNoPage(query) {
  return request({
    url: '/wuYe/houseInfo/listNoPage',
    method: 'get',
    params: query
  })
}

// 查询房屋信息详细
export function getHouseInfo(houseId) {
  return request({
    url: '/wuYe/houseInfo/' + houseId,
    method: 'get'
  })
}

// 新增房屋信息
export function addHouseInfo(data) {
  return request({
    url: '/wuYe/houseInfo',
    method: 'post',
    data: data
  })
}

// 修改房屋信息
export function updateHouseInfo(data) {
  return request({
    url: '/wuYe/houseInfo/put',
    method: 'post',
    data: data
  })
}

// 删除房屋信息
export function delHouseInfo(houseId) {
  return request({
    url: '/wuYe/houseInfo/delete/' + houseId,
    method: 'get'
  })
}
